For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETList approvals
      • POSTRequest approval
      • GETGet an approval
      • POSTDecide (human session only — not API key)
      • GETGet signing challenge for wallet-decision
      • POSTDecide via wallet signature
LogoLogo
DashboardGet started
Generated API ExplorerApprovals

Decide (human session only — not API key)

POST
/v1/approvals/:id/decide
POST
/v1/approvals/:id/decide
$curl -X POST https://api.lipafy.xyzyz/v1/approvals/id/decide \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "decision": "approve"
>}'
200Successful
1{
2 "approval": {
3 "id": "string",
4 "account_id": "string",
5 "requesting_grant_id": "string",
6 "capability_slug": "string",
7 "amount": "string",
8 "currency_code": "string",
9 "justification": "string",
10 "status": "pending",
11 "decided_at": "2024-01-15T09:30:00Z",
12 "expires_at": "2024-01-15T09:30:00Z",
13 "consumed_at": "2024-01-15T09:30:00Z",
14 "created_at": "2024-01-15T09:30:00Z"
15 }
16}
Was this page helpful?
Previous

Get signing challenge for wallet-decision

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
decisionenumRequired
Allowed values:

Response

Decided
approvalobject